﻿#View current endpoints
Get-AzureVM -ServiceName "rangerweb" -Name "rangervm001" | Get-AzureEndpoint 


#Add Endpoint while creating a VM
$vm1config = New-AzureVMConfig -Name $vmName -InstanceSize $size -ImageName $imageName |
             Add-AzureProvisioningConfig -Windows -AdminUsername $adminUser -Password $password |
             Add-AzureEndpoint -Name "HTTP" -Protocol tcp -PublicPort 80 -LocalPort 80 



#Add Endpoint to an existing VM
Get-AzureVM -ServiceName "rangerweb" -Name "rangervm001" |
            Add-AzureEndpoint -Name "HTTPS" -Protocol tcp -PublicPort 443 -LocalPort 443 |
                Update-AzureVM 



#Change Endpoint configuration of an existing VM
Get-AzureVM -ServiceName "rangerweb" -Name "rangervm001" |  
        Set-AzureEndpoint -Name "HTTP" -Protocol tcp -PublicPort 8080  -LocalPort 8080 |
            Update-AzureVM  


#Remove Endpoint of an existing VM
Get-AzureVM -ServiceName "rangerweb" -Name "rangervm001" |   
                Remove-AzureEndpoint -Name "HTTPS" |
                    Update-AzureVM 


# Add Endpoint to an existing VM with port probing


Get-AzureVM -ServiceName "rangerweb" -Name "rangervm001" |
        Add-AzureEndpoint -Name "HTTP" `-Protocoltcp -LocalPort 80 -PublicPort 80 -LBSetName "websiteLB" -ProbeProtocoltcp -ProbePort 80 | Update-AzureVM



# Set probe on existing load balanced (with http probe)

Set-AzureLoadBalancedEndpoint -ServiceName "rangerweb" -LBSetName "httpLB" -ProbeProtocolHTTP -ProbePort 80 -ProbePath "/healthcheck.aspx" 



# Create a new ACL object
$acl = New-AzureAclConfig

# Deny Rule
Set-AzureAclConfig –AddRule –ACL $acl –Order 100 –Action Deny –RemoteSubnet "175.1.0.0/24" –Description "Deny rule"

# Permit Rule
Set-AzureAclConfig –AddRule –ACL $acl –Order 200 –Action Permit –RemoteSubnet "175.0.0.0/8" –Description "Permit Rule"

# Add ACL to the Endpoint
Get-AzureVM -ServiceName "rangerweb" -Name "rangervm001" | Set-AzureEndpoint –Name PowerShell –Protocol tcp –LocalPort 5986 –PublicPort 5986 –ACL $acl | Update-AzureVM


# Get all ACL on the VM
Get-AzureVM -ServiceName "rangerweb" -Name "rangervm001" | Get-AzureAclConfig


